Skip to content
POST/{organizationId}/{mandateId}/finance/cash/sepaCreditTransfers/files

Create sepa credit transfer files

Creates sepa credit transfer files based on the provided filter for a given mandate. If the provided filter is empty, then all sepa credit transfers not yet submitted will be included.

Required permissions:

  • mandate.read

  • sepaCreditTransfer.read

Path Parameters

organizationIdstringrequired
mandateIdstringrequired

Request Body required

Content-Type: application/json

executeAtstringrequired
batchBookingbooleanoptional

Authentication: X-API-Key

Request

POST/{organizationId}/{mandateId}/finance/cash/sepaCreditTransfers/files
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/finance/cash/sepaCreditTransfers/files' \
  --header 'X-API-Key: YOUR_API_KEY' \
  --header 'Content-Type: application/json' \
  --data '{
  "executeAt": "string"
}'

Responses

This endpoint returns different response codes based on the request outcome.

200Successful response

Content-Type: application/json

Valuefile array

Response

200
[
  "string"
]

400Invalid input data

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

400
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}

401Authorization not provided

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

401
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}

403Insufficient access

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

403
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}

500Internal server error

Content-Type: application/json

The error information

messagestringrequired

The error message

codestringrequired

The error code

An array of issues that were responsible for the error

Response

500
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}